# -*- coding: utf-8 -*-

import unittest
import os
from pypdf import PdfReader
from fixthaipdf import clean


class TestTagPackage(unittest.TestCase):
    def test_pos_tag(self):
        pdf_path=os.path.join(os.path.dirname(os.path.abspath(__file__)), "140A022N0000000000100.pdf")
        reader = PdfReader(pdf_path)
        text='\n'.join([i.extract_text() for i in reader.pages])
        self.assertEquals(clean(text),"""พระราชกฤษฎีกา\nยุบสภาผู้แทนราษฎร\nพ.ศ. ๒๕๖๖\nพระบาทสมเด็จพระปรเมนทรรามาธิบดีศรีสินทรมหาวชิราลงกรณ\nพระวชิรเกล้าเจ้าอยู่หัว\nให้ไว้ณ วันที่ 17 มีนาคม พ.ศ. ๒๕๖6\nเป็นปีที่ 8 ในรัชกาลปัจจุบัน\nพระบาทสมเด็จพระปรเมนทรรามาธิบดีศรีสินทรมหาวชิราลงกรณ พระวชิรเกล้าเจ้าอยู่หัว\nมีพระบรมราชโองการโปรดเกล้าฯ ให้ประกาศว่า\nด้วยนายกรัฐมนตรีได้นำความกราบบังคมทูลฯ ว่า ตามที่สภาผู้แทนราษฎรได้ปฏิบัติหน้าที่ตั้งแต่\nพ.ศ. ๒๕๖๒ และบัดนี้ได้ปิดสมัยประชุมสามัญประจำปีที่สี่อันเป็นปีสุดท้ายของอายุสภาผู้แทนราษฎรแล้ว\nสมควรยุบสภาผู้แทนราษฎรเพื่อจัดให้มีการเลือกตั้งสมาชิกสภาผู้แทนราษฎรใหม่เป็นการเลือกตั้งทั่วไป\nตามบทบัญญัติของรัฐธรรมนูญแห่งราชอาณาจักรไทย อันเป็นการคืนอำนาจการตัดสินใจทาง การเมือง\nให้แก่ประชาชนโดยเร็วเพื่อให้การปกครองในระบอบประชาธิปไตยอันมีพระมหากษัตริย์ทรงเป็นประมุข\nดำเนินไปอย่างต่อเนื่อง\nอาศัยอำนาจตามความในมาตรา ๑๐๓ และมาตรา ๑๗๕ ของรัฐธรรมนูญแห่งราชอาณาจักรไทย\nจึงทรงพระกรุณาโปรดเกล้าฯ ให้ตราพระราชกฤษฎีกาขึ้นไว้ดังต่อไปนี้\nมาตรา ๑ พระราชกฤษฎีกานี้เรียกว่า “พระราชกฤษฎีกายุบสภาผู้แทนราษฎร พ.ศ. ๒๕๖๖”\nมาตรา ๒ พระราชกฤษฎีกานี้ให้ใช้บังคับตั้งแต่วันประกาศในราชกิจจานุเบกษาเป็นต้นไป\nหน้า ๑\nเล่ม ๑๔๐ ตอนที่ ๒๒ ก ราชกิจจานุเบกษา ๒๐ มีนาคม ๒๕๖๖\nมาตรา ๓ ให้ยุบสภาผู้แทนราษฎรเพื่อให้มีการเลือกตั้งสมาชิกสภาผู้แทนราษฎรใหม่\nเป็นการเลือกตั้ง ทั่วไป\nมาตรา ๔ ให้มีการเลือกตั้งสมาชิกสภาผู้แทนราษฎรเป็นการทั่วไปในวันที่คณะกรรมการ\nการเลือกตั้งประกาศกำหนดซึ่งต้องไม่น้อยกว่าสี่สิบห้าวันแต่ไม่เกินหกสิบวันนับแต่วันที่พระราชกฤษฎีกานี้\nใช้บังคับ\nมาตรา ๕ ให้ประธานกรรมการการเลือกตั้งรักษาการตามพระราชกฤษฎีกานี้\nผู้รับสนองพระบรมราชโองการ\nพลเอก ประยุทธ์ จันทร์โอชา\nนายกรัฐมนตรี หน้า ๒\nเล่ม ๑๔๐ ตอนที่ ๒๒ ก ราชกิจจานุเบกษา ๒๐ มีนาคม ๒๕๖๖""")
        self.assertEquals(clean("ข้้้อความ"),"ข้อความ")